com.genesyslab.wfm7.API.service.config712

## Class CfgProfileShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgProfileShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgProfileShort
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmContractId`
    `private java.lang.String` | `wmName`
    `private int` | `wmProfileId`
    `private int` | `wmSiteId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgProfileShort()`
    `CfgProfileShort(int wmProfileId, int wmSiteId, int wmContractId, java.lang.String wmName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmContractId()` Gets the wmContractId value for this CfgProfileShort.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgProfileShort.
    `int` | `getWmProfileId()` Gets the wmProfileId value for this CfgProfileShort.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgProfileShort.
    `int` | `hashCode()`
    `void` | `setWmContractId(int wmContractId)` Sets the wmContractId value for this CfgProfileShort.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgProfileShort.
    `void` | `setWmProfileId(int wmProfileId)` Sets the wmProfileId value for this CfgProfileShort.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgProfileShort.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmProfileId

          private int wmProfileId

    - #### wmSiteId

          private int wmSiteId

    - #### wmContractId

          private int wmContractId

    - #### wmName

          private java.lang.String wmName

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgProfileShort

          public CfgProfileShort()

    - #### CfgProfileShort

          public CfgProfileShort(int wmProfileId,
                         int wmSiteId,
                         int wmContractId,
                         java.lang.String wmName)

  - ### Method Detail

    - #### getWmProfileId

          public int getWmProfileId()

      Gets the wmProfileId value for this CfgProfileShort.
      Returns:
        wmProfileId

    - #### setWmProfileId

          public void setWmProfileId(int wmProfileId)

      Sets the wmProfileId value for this CfgProfileShort.
      Parameters:
        `wmProfileId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgProfileShort.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgProfileShort.
      Parameters:
        `wmSiteId` -

    - #### getWmContractId

          public int getWmContractId()

      Gets the wmContractId value for this CfgProfileShort.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int wmContractId)

      Sets the wmContractId value for this CfgProfileShort.
      Parameters:
        `wmContractId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgProfileShort.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgProfileShort.
      Parameters:
        `wmName` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.